chiark / gitweb /
need python >= 2.4 for tests
authorRichard Kettlewell <rjk@greenend.org.uk>
Wed, 21 Nov 2007 00:36:49 +0000 (00:36 +0000)
committerRichard Kettlewell <rjk@greenend.org.uk>
Wed, 21 Nov 2007 00:36:49 +0000 (00:36 +0000)
configure.ac
tests/Makefile.am

index f372639..99b2e97 100644 (file)
@@ -125,17 +125,16 @@ subdirs="scripts lib clients doc examples debian"
 if test $want_server = yes; then
   subdirs="${subdirs} server plugins driver templates sounds images"
 fi
-if test $want_python = yes; then
-  AM_PATH_PYTHON
-  subdirs="${subdirs} python"
-fi
 if test $want_gtk = yes; then
   subdirs="${subdirs} disobedience"
   if test $want_server = no; then
     subdirs="${subdirs} images"
   fi
 fi
-subdirs="${subdirs} tests"
+if test $want_python = yes; then
+  AM_PATH_PYTHON([2.4])
+  subdirs="${subdirs} python tests"
+fi
 AC_SUBST([subdirs])
 
 # libtool config
@@ -498,3 +497,6 @@ AC_OUTPUT
 if test $GCC = yes && test "$gcc_werror" = ''; then
   AC_MSG_WARN([building without -Werror])
 fi
+if test $want_python = no; then
+  AC_MSG_WARN([cannot run the test suit without Python])
+fi
index 645dd54..e65100f 100644 (file)
@@ -1,6 +1,6 @@
 #
 # This file is part of DisOrder.
-# Copyright (C) 2004, 2005 Richard Kettlewell
+# Copyright (C) 2004, 2005, 2007 Richard Kettlewell
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by